%define upstream_name    UNIVERSAL-isa
%define upstream_version 1.20171012

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Hack around calling UNIVERSAL::isa() as a function
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/UNIVERSAL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildArch:  noarch

%{?perl_default_filter}

%description
Whenever you use "isa" in UNIVERSAL as a function, a kitten using
Test::MockObject dies. Normally, the kittens would be helpless, but if they use
UNIVERSAL::isa (the module whose docs you are reading), the kittens can live
long and prosper.

This module replaces UNIVERSAL::isa with a version that makes sure that if it's
called as a function on objects which override isa, isa will be called on those
objects as a method.

In all other cases the real UNIVERSAL::isa is just called directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/UNIVERSAL
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.201.710.120-4.mga9
+ Revision: 1810560
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.201.710.120-3.mga8
+ Revision: 1506876
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.201.710.120-2.mga7
+ Revision: 1287139
- Mageia 7 Mass Rebuild

* Thu Oct 12 2017 tv <tv> 1.201.710.120-1.mga7
+ Revision: 1171201
- update to 1.20171012

* Sun Jun 19 2016 pterjan <pterjan> 1.201.506.140-3.mga6
+ Revision: 1035532
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.201.506.140-2.mga6
+ Revision: 968118
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.201.506.140-1.mga6
+ Revision: 851299
- update to 1.20150614

* Sun Oct 19 2014 umeabot <umeabot> 1.201.408.240-5.mga5
+ Revision: 789702
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.201.408.240-4.mga5
+ Revision: 744862
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.201.408.240-3.mga5
+ Revision: 732593
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.201.408.240-2.mga5
+ Revision: 686760
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 1.201.408.240-1.mga5
+ Revision: 668683
- update to 1.20140824

* Fri Oct 18 2013 umeabot <umeabot> 1.201.207.260-3.mga4
+ Revision: 515788
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.201.207.260-2.mga3
+ Revision: 374521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.201.207.260-1.mga3
+ Revision: 286569
- update to 1.20120726

* Tue Jun 05 2012 jquelin <jquelin> 1.201.204.180-1.mga3
+ Revision: 255542
- update to 1.20120418

* Fri Jun 17 2011 jquelin <jquelin> 1.201.106.140-1.mga2
+ Revision: 109037
- update to 1.20110614

* Thu Jan 13 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 15650
- imported package perl-UNIVERSAL-isa


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 401984
- rebuild using %%perl_convert_version

* Thu Jun 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2010.0
+ Revision: 389097
- update to new version 1.03

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2010.0
+ Revision: 383545
- update to new version 1.02

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.0
+ Revision: 279089
- new version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-7mdv2009.0
+ Revision: 242112
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-5mdv2008.0
+ Revision: 87074
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-4mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-3mdk
- Fix SPEC according to Perl Policy
    - BuildRequires
    - Source URL

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdk
- fix buildrequires

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- New release 0.06

* Fri Nov 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- New release 0.05

* Tue Sep 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdk
- first mdk release

